import Vue from 'vue'
import VueRouter from 'vue-router'
Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'loginTest',
    meta:{
      inStructure:false
    },
    component: () => import('@/views/loginTest.vue')
  },
  {
    path: '/index',
    name: 'index',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/index/index.vue')
  },
  {
    path: '/recruitmentPlan',
    name: 'recruitmentPlan',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPlan/recruitmentPlan.vue')
  },
  {
    path: '/recruitmentPerson',
    name: 'recruitmentPerson',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/recruitmentManagement/recruitmentPerson/recruitmentPerson.vue')
  },
  {
    path: '/personalCenter',
    name: 'personalCenter',
    meta:{
      inStructure:true
    },
    component: () => import('@/views/user/personalCenter/personalCenter.vue')
  },
]

const router = new VueRouter({
  routes
})

export default router
